Skip to content

API Reference

Update transactions in batch

PUT /transactions/batch https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Request body

application/json list of objects required

An array of transaction update payloads. Each payload must include the ‘tx_id’ to identify the transaction and can include any other fields that need to be updated. The ‘timestamp’ field should represent the time of update.

  • timestamp string required

    When the transaction was processed in your system, in ISO 8601 format. For updates, use when the event occurred, not when you’re reporting it.

    Format date-time

  • tx_id string required

    Unique identifier for the transaction. This is the primary key for the transaction record and should be unique across all transactions. Updates to a transaction should be made using this identifier.

  • type string

    Transaction type. Required when creating new transactions, optional for updates.

    Allowed values DEPOSITWITHDRAWAL

  • method string

    Payment method used for the transaction. Required when creating new transactions, optional for updates. Each method may have different processing times, fees, and regulatory requirements.

    Allowed values WIREACHSWIFTSEPAAPPLE_PAYCHECK_DEPOSITINTERNAL_TRANSFERRTPPROV_X_TRANSFER

  • amount number

    Transaction amount. Required when creating new transactions, optional for updates.

    Format float

  • currency string

    ISO 4217 currency code. Required when creating new transactions, optional for updates.

    Format iso-4217

  • amount_usd number

    Amount in USD, if not provided will be calculated using the latest exchange rate using data from Open Exchange Rates (https://openexchangerates.org)

    Format float

  • sender_id string

    Identifier of the sender, this could be an account number, customer id, or any other unique identifier. If you are sending customer data to Cable, this ID should be able to be referenced in that dataset.

  • sender_country string

    ISO 3166-1 alpha-2 country code

    Format iso-3166-1

  • receiver_id string

    Identifier of the receiver, this could be an account number, customer id, or any other unique identifier.

  • receiver_country string

    ISO 3166-1 alpha-2 country code

    Format iso-3166-1

  • status string

    Transaction status. Required when creating new transactions, optional for updates.

    Allowed values CREATEDPENDINGSETTLEDFAILEDREJECTEDREFUNDED

Responses

200 Batch processing result

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid transaction data in batch
  • 401 Unauthorized request
  • 404 Transaction not found in batch
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string